## log~log

#### new log(args)
`utils/log.js`, `line 97`

  Logs plain debug messages. Similar to `console.log`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `args` | Array.<Mixed> | One or more messages or objects that should be logged.

### Members

#### static levels :Object
`utils/log.js`, `line 118`

  Enumeration of available logging levels, where the keys are the level names and the values are `|`-separated strings containing logging methods allowed in that logging level. These strings are used to create a regular expression matching the function name being called.

  Levels provided by video.js are:

  - `off`: Matches no calls. Any value that can be cast to `false` will have this effect. The most restrictive.
  - `all` (default): Matches only Video.js-provided functions (`log`, `log.warn`, and `log.error`).
  - `warn`: Matches `log.warn` and `log.error` calls.
  - `error`: Matches only `log.error` calls.

### Methods

#### static error(args)
`utils/log.js`, `line 193`

  Logs error messages. Similar to `console.error`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `args` | Array.<Mixed> | One or more messages or objects that should be logged as an error

#### static history() → {Array}
`utils/log.js`, `line 156`

  Returns an array containing everything that has been logged to the history.

  This array is a shallow clone of the internal history record. However, its contents are not cloned; so, mutating objects inside this array will mutate them in history.

  ##### Returns:

  Array

#### static history.clear()
`utils/log.js`, `line 162`

  Clears the internal history tracking, but does not prevent further history tracking.

#### static history.disable()
`utils/log.js`, `line 171`

  Disable history tracking if it is currently enabled.

#### static history.enable()
`utils/log.js`, `line 181`

  Enable history tracking if it is currently disabled.

#### static level(lvlopt) → {string}
`utils/log.js`, `line 137`

  Get or set the current logging level. If a string matching a key from log.levels is provided, acts as a setter. Regardless of argument, returns the current logging level.

  ##### Parameters:

  Name | Type | Attributes | Description
  --- | --- | --- | ---
  `lvl` | string | <optional> | Pass to set a new logging level.

  ##### Returns:

  string -

  The current logging level.

#### static warn(args)
`utils/log.js`, `line 201`

  Logs warning messages. Similar to `console.warn`.

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `args` | Array.<Mixed> | One or more messages or objects that should be logged as a warning.